/**
 * 公告通知
 * */

$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	initTable();
	$("#sc_btns").on('click',initTable);
	$('#btn_add').on('click', btn_add);
});

//公告通知的列表
function initTable() {
	//先销毁表格
	$('#noticeList').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#noticeList").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "Notice/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber, //int 页码，默认为1	
				pagesize: params.pageSize, //int 条数，默认为10
				sdate: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0],//开始时间
				edate: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1],//结束时间
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}


//格式化操作
function formatterOprate(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_details_' + val + '" onclick="btn_details(\'' + val + '\')" title="详情">详情</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + val + '" onclick="btn_edit(\'' + val + '\')" title="修改">修改</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + val + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + val + '" onclick="btn_Chuli(' + val + ')" title="处理">处理</a></li>' +
		'</ul>';
}

// 格式化编号
function formatterCode(val, row, index){
	return ++index; 
}

// 格式化是否客户查看
function formatterIsCus(val){
	var statusMap = {
		0: '否',
		1: '是'
	}
  return statusMap[val];
}

//格式化 内容
function formatterContent(val) {
	var strD = '-';
	if(val) {
		strD = helper.filter.filterHTMLTag(val);
		if(strD.length > 30) {
			strD = strD.substring(0, 30) + '...';
		}
	}
	return strD;
}

/**
 * 添加
 * */
function btn_add() {
	layer.open({
		type: 2,
		title: '发布公告通知',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: './template/addOrEditNotice.html'
	});
}

/**
 * 修改
 * editId 公告id
 * */
function btn_edit(editId) {
	layer.open({
		type: 2,
		title: '修改公告通知',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: './template/addOrEditNotice.html?edit_id=' + editId
	});
}

/**
 * 详情
 * editId 公告id
 * */
function btn_details(editId) {
	layer.open({
		type: 2,
		title: '公告通知详情',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: './template/noticeDetail.html?edit_id=' + editId
	});
}


//批量删除
function btn_deletes() {
	var ids = $.map($('#noticeList').bootstrapTable('getSelections'),
		function(row) {
			return row.F_NoticeId;
		});
	/*判断长度*/
	if (ids.length <= 0) {
		layer.confirm('请选择要删除的选项', {
			icon: 7,
			btn: ['确定'] //按钮
		});
		return;
	}
	btn_delete(ids);
}

//删除
function btn_delete(cid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "Notice/DelNotice",
			dataType: 'json',
			async: true,
			data: {
				ids: cid,//Id，可多选[1,2,3]
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#noticeList').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}
//处理
function btn_Chuli(cid,) {
	layer.confirm('确定处理当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行处理*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "Notice/DealNotice",
			dataType: 'json',
			async: true,
			data: {
				id: cid,//Id，可多选[1,2,3]
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("处理成功！");
				$('#noticeList').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}
